Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ee.ut.ga.util
Class PropertyUtil

    java.lang.Object
      ee.ut.ga.util.PropertyUtil

public class PropertyUtil
extends java.lang.Object

Field Summary
`static java.lang.String` | `A`
`static java.lang.String` | `BEST_TO_LEAVE`
`static java.lang.String` | `C`
`static java.lang.String` | `DATASET`
`static java.lang.String` | `FITNESS_FUNCTION`
`static java.lang.String` | `G`
`static java.lang.String` | `GOOD_ALL`
`static java.lang.String` | `INITIAL_PWMS`
`static org.apache.log4j.Logger` | `log`
`static java.lang.String` | `LOGGING`
`static java.lang.String` | `PAM_RESULT`
`static java.lang.String` | `PAM_TO_ANALIZE`
`static java.lang.String` | `POPULATION_SIZE`
`static java.lang.String` | `PWM_MIN_LENGTH`
`static java.lang.String` | `T`

Constructor Summary
`PropertyUtil()`

Method Summary
`static java.util.Map` | `loadPriors(java.util.Properties properties)` Loads priors from properties.
`static java.util.Properties` | `loadProperties(java.lang.String path)` Loads properties from file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static org.apache.log4j.Logger log

### DATASET

    public static final java.lang.String DATASET

See Also:
  Constant Field Values

### INITIAL_PWMS

    public static final java.lang.String INITIAL_PWMS

See Also:
  Constant Field Values

### LOGGING

    public static final java.lang.String LOGGING

See Also:
  Constant Field Values

### PAM_TO_ANALIZE

    public static final java.lang.String PAM_TO_ANALIZE

See Also:
  Constant Field Values

### PAM_RESULT

    public static final java.lang.String PAM_RESULT

See Also:
  Constant Field Values

### FITNESS_FUNCTION

    public static final java.lang.String FITNESS_FUNCTION

See Also:
  Constant Field Values

### GOOD_ALL

    public static final java.lang.String GOOD_ALL

See Also:
  Constant Field Values

### POPULATION_SIZE

    public static final java.lang.String POPULATION_SIZE

See Also:
  Constant Field Values

### BEST_TO_LEAVE

    public static final java.lang.String BEST_TO_LEAVE

See Also:
  Constant Field Values

### PWM_MIN_LENGTH

    public static final java.lang.String PWM_MIN_LENGTH

See Also:
  Constant Field Values

### A

    public static final java.lang.String A

See Also:
  Constant Field Values

### T

    public static final java.lang.String T

See Also:
  Constant Field Values

### G

    public static final java.lang.String G

See Also:
  Constant Field Values

### C

    public static final java.lang.String C

See Also:
  Constant Field Values

Constructor Detail

### PropertyUtil

    public PropertyUtil()

Method Detail

### loadProperties

    public static java.util.Properties loadProperties(java.lang.String path)

  Loads properties from file.

### loadPriors

    public static java.util.Map loadPriors(java.util.Properties properties)
                                    throws java.lang.Exception

  Loads priors from properties.

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD